## D-Bus utilities

D-Bus utilities — some D-Bus utility functions

## Functions

void | tp_dbus_g_method_return_not_implemented ()
DBusGConnection * | tp_get_bus ()
DBusGProxy * | tp_get_bus_proxy ()
gboolean | tp_dbus_check_valid_bus_name ()
gboolean | tp_dbus_check_valid_interface_name ()
gboolean | tp_dbus_check_valid_member_name ()
gboolean | tp_dbus_check_valid_object_path ()
GValue * | tp_g_value_slice_new_bytes ()
GValue * | tp_g_value_slice_new_take_bytes ()
GValue * | tp_g_value_slice_new_object_path ()
GValue * | tp_g_value_slice_new_static_object_path ()
GValue * | tp_g_value_slice_new_take_object_path ()
TpDBusDaemon * | tp_dbus_daemon_dup ()
TpDBusDaemon * | tp_dbus_daemon_new ()
const gchar * | tp_dbus_daemon_get_unique_name ()
void | (*TpDBusDaemonNameOwnerChangedCb) ()
void | tp_dbus_daemon_watch_name_owner ()
gboolean | tp_dbus_daemon_cancel_name_owner_watch ()
void | (*TpDBusDaemonListNamesCb) ()
void | tp_dbus_daemon_list_names ()
void | tp_dbus_daemon_list_activatable_names ()
gboolean | tp_dbus_daemon_release_name ()
gboolean | tp_dbus_daemon_request_name ()
void | tp_dbus_daemon_register_object ()
void | tp_dbus_daemon_unregister_object ()
void | tp_dbus_daemon_init_known_interfaces ()
TpProxyPendingCall * | tp_cli_dbus_daemon_call_add_match ()
TpProxyPendingCall * | tp_cli_dbus_daemon_call_get_connection_se_linux_security_context ()
TpProxyPendingCall * | tp_cli_dbus_daemon_call_get_connection_unix_process_id ()
TpProxyPendingCall * | tp_cli_dbus_daemon_call_get_connection_unix_user ()
TpProxyPendingCall * | tp_cli_dbus_daemon_call_get_id ()
TpProxyPendingCall * | tp_cli_dbus_daemon_call_get_name_owner ()
TpProxyPendingCall * | tp_cli_dbus_daemon_call_hello ()
TpProxyPendingCall * | tp_cli_dbus_daemon_call_list_activatable_names ()
TpProxyPendingCall * | tp_cli_dbus_daemon_call_list_names ()
TpProxyPendingCall * | tp_cli_dbus_daemon_call_list_queued_owners ()
TpProxyPendingCall * | tp_cli_dbus_daemon_call_name_has_owner ()
TpProxyPendingCall * | tp_cli_dbus_daemon_call_release_name ()
TpProxyPendingCall * | tp_cli_dbus_daemon_call_reload_config ()
TpProxyPendingCall * | tp_cli_dbus_daemon_call_remove_match ()
TpProxyPendingCall * | tp_cli_dbus_daemon_call_request_name ()
TpProxyPendingCall * | tp_cli_dbus_daemon_call_start_service_by_name ()
gboolean | tp_cli_dbus_daemon_run_add_match ()
gboolean | tp_cli_dbus_daemon_run_get_connection_se_linux_security_context ()
gboolean | tp_cli_dbus_daemon_run_get_connection_unix_process_id ()
gboolean | tp_cli_dbus_daemon_run_get_connection_unix_user ()
gboolean | tp_cli_dbus_daemon_run_get_id ()
gboolean | tp_cli_dbus_daemon_run_get_name_owner ()
gboolean | tp_cli_dbus_daemon_run_hello ()
gboolean | tp_cli_dbus_daemon_run_list_activatable_names ()
gboolean | tp_cli_dbus_daemon_run_list_names ()
gboolean | tp_cli_dbus_daemon_run_list_queued_owners ()
gboolean | tp_cli_dbus_daemon_run_name_has_owner ()
gboolean | tp_cli_dbus_daemon_run_release_name ()
gboolean | tp_cli_dbus_daemon_run_reload_config ()
gboolean | tp_cli_dbus_daemon_run_remove_match ()
gboolean | tp_cli_dbus_daemon_run_request_name ()
gboolean | tp_cli_dbus_daemon_run_start_service_by_name ()
void | (*tp_cli_dbus_daemon_callback_for_add_match) ()
void | (*tp_cli_dbus_daemon_callback_for_get_connection_se_linux_security_context) ()
void | (*tp_cli_dbus_daemon_callback_for_get_connection_unix_process_id) ()
void | (*tp_cli_dbus_daemon_callback_for_get_connection_unix_user) ()
void | (*tp_cli_dbus_daemon_callback_for_get_id) ()
void | (*tp_cli_dbus_daemon_callback_for_get_name_owner) ()
void | (*tp_cli_dbus_daemon_callback_for_hello) ()
void | (*tp_cli_dbus_daemon_callback_for_list_activatable_names) ()
void | (*tp_cli_dbus_daemon_callback_for_list_names) ()
void | (*tp_cli_dbus_daemon_callback_for_list_queued_owners) ()
void | (*tp_cli_dbus_daemon_callback_for_name_has_owner) ()
void | (*tp_cli_dbus_daemon_callback_for_release_name) ()
void | (*tp_cli_dbus_daemon_callback_for_reload_config) ()
void | (*tp_cli_dbus_daemon_callback_for_remove_match) ()
void | (*tp_cli_dbus_daemon_callback_for_request_name) ()
void | (*tp_cli_dbus_daemon_callback_for_start_service_by_name) ()
TpProxySignalConnection * | tp_cli_dbus_daemon_connect_to_name_acquired ()
TpProxySignalConnection * | tp_cli_dbus_daemon_connect_to_name_lost ()
TpProxySignalConnection * | tp_cli_dbus_daemon_connect_to_name_owner_changed ()
void | (*tp_cli_dbus_daemon_signal_callback_name_acquired) ()
void | (*tp_cli_dbus_daemon_signal_callback_name_lost) ()
void | (*tp_cli_dbus_daemon_signal_callback_name_owner_changed) ()

## Types and Values

enum | TpDBusNameType
#define | TP_TYPE_DBUS_NAME_TYPE
| TpDBusDaemon
| TpDBusDaemonClass

## Object Hierarchy

        GFlags
        ╰── TpDBusNameType
        GObject
        ╰── TpProxy
            ╰── TpDBusDaemon

## Includes

    #include <telepathy-glib/telepathy-glib.h>

## Description

D-Bus utility functions used in telepathy-glib.

## Functions

### tp_dbus_g_method_return_not_implemented ()

    void
    tp_dbus_g_method_return_not_implemented
                                   (DBusGMethodInvocation *context);

Return the Telepathy error NotImplemented from the method invocation given by `context` .

[skip]

#### Parameters

context | The D-Bus method invocation context |

### tp_get_bus ()

    DBusGConnection *
    tp_get_bus (void);

`tp_get_bus` is deprecated and should not be used in newly-written code.

Returns a connection to the D-Bus daemon on which this process was activated if it was launched by D-Bus service activation, or the session bus otherwise.

If `dbus_g_bus_get()` fails, exit with error code 1.

Note that this function is not suitable for use in applications which can be useful even in the absence of D-Bus - it is designed for use in connection managers, which are not at all useful without a D-Bus connection. See <https://bugs.freedesktop.org/show_bug.cgi?id=18832>. Most processes should use `tp_dbus_daemon_dup()` instead.

[skip]

#### Returns

a connection to the starter or session D-Bus daemon.

### tp_get_bus_proxy ()

    DBusGProxy *
    tp_get_bus_proxy (void);

`tp_get_bus_proxy` has been deprecated since version 0.7.26 and should not be used in newly-written code.

Use `tp_dbus_daemon_dup()` in new code.

Return a DBusGProxy for the bus daemon object. The same caveats as for `tp_get_bus()` apply.

[skip]

#### Returns

a proxy for the bus daemon object on the starter or session bus.

### tp_dbus_check_valid_bus_name ()

    gboolean
    tp_dbus_check_valid_bus_name (const gchar *name,
                                  TpDBusNameType allow_types,
                                  GError **error);

Check that the given string is a valid D-Bus bus name of an appropriate type.

#### Parameters

name | a possible bus name |
allow_types | some combination of `TP_DBUS_NAME_TYPE_UNIQUE`, `TP_DBUS_NAME_TYPE_WELL_KNOWN` or `TP_DBUS_NAME_TYPE_BUS_DAEMON` (often this will be `TP_DBUS_NAME_TYPE_NOT_BUS_DAEMON` or `TP_DBUS_NAME_TYPE_ANY`) |
error | used to raise `TP_DBUS_ERROR_INVALID_BUS_NAME` if `FALSE` is returned |

#### Returns

`TRUE` if `name` is valid

Since: 0.7.1

### tp_dbus_check_valid_interface_name ()

    gboolean
    tp_dbus_check_valid_interface_name (const gchar *name,
                                        GError **error);

Check that the given string is a valid D-Bus interface name. This is also appropriate to use to check for valid error names.

Since GIO 2.26, `g_dbus_is_interface_name()` should always return the same thing, although the GLib function does not raise an error explaining why the interface name is incorrect.

#### Parameters

name | a possible interface name |
error | used to raise `TP_DBUS_ERROR_INVALID_INTERFACE_NAME` if `FALSE` is returned |

#### Returns

`TRUE` if `name` is valid

Since: 0.7.1

### tp_dbus_check_valid_member_name ()

    gboolean
    tp_dbus_check_valid_member_name (const gchar *name,
                                     GError **error);

Check that the given string is a valid D-Bus member (method or signal) name.

Since GIO 2.26, `g_dbus_is_member_name()` should always return the same thing, although the GLib function does not raise an error explaining why the interface name is incorrect.

#### Parameters

name | a possible member name |
error | used to raise `TP_DBUS_ERROR_INVALID_MEMBER_NAME` if `FALSE` is returned |

#### Returns

`TRUE` if `name` is valid

Since: 0.7.1

### tp_dbus_check_valid_object_path ()

    gboolean
    tp_dbus_check_valid_object_path (const gchar *path,
                                     GError **error);

Check that the given string is a valid D-Bus object path. Since GLib 2.24, `g_variant_is_object_path()` should always return the same thing as this function, although it doesn't provide an error explaining why the object path is invalid.

#### Parameters

path | a possible object path |
error | used to raise `TP_DBUS_ERROR_INVALID_OBJECT_PATH` if `FALSE` is returned |

#### Returns

`TRUE` if `path` is valid

Since: 0.7.1

### tp_g_value_slice_new_bytes ()

    GValue *
    tp_g_value_slice_new_bytes (guint length,
                                gconstpointer bytes);

Slice-allocate a GValue containing a byte-array, using `tp_g_value_slice_new_boxed()`. This function is convenient to use when constructing hash tables from string to GValue, for example.

[skip]

#### Parameters

length | number of bytes to copy |
bytes | location of an array of bytes to be copied (this may be `NULL` if and only if length is 0) |

#### Returns

a GValue of type `DBUS_TYPE_G_UCHAR_ARRAY` whose value is a copy of `length` bytes from `bytes` , to be freed with `tp_g_value_slice_free()` or `g_slice_free()`

Since: 0.7.27

### tp_g_value_slice_new_take_bytes ()

    GValue *
    tp_g_value_slice_new_take_bytes (GArray *bytes);

Slice-allocate a GValue containing `bytes` , using `tp_g_value_slice_new_boxed()`. This function is convenient to use when constructing hash tables from string to GValue, for example.

[skip]

#### Parameters

bytes | a non-NULL GArray of guchar, ownership of which will be taken by the GValue |

#### Returns

a GValue of type `DBUS_TYPE_G_UCHAR_ARRAY` whose value is `bytes` , to be freed with `tp_g_value_slice_free()` or `g_slice_free()`

Since: 0.7.27

### tp_g_value_slice_new_object_path ()

    GValue *
    tp_g_value_slice_new_object_path (const gchar *path);

Slice-allocate a GValue containing an object path, using `tp_g_value_slice_new_boxed()`. This function is convenient to use when constructing hash tables from string to GValue, for example.

[skip]

#### Parameters

path | a valid D-Bus object path which will be copied |

#### Returns

a GValue of type `DBUS_TYPE_G_OBJECT_PATH` whose value is a copy of `path` , to be freed with `tp_g_value_slice_free()` or `g_slice_free()`

Since: 0.7.27

### tp_g_value_slice_new_static_object_path ()

    GValue *
    tp_g_value_slice_new_static_object_path
                                   (const gchar *path);

Slice-allocate a GValue containing an object path, using `tp_g_value_slice_new_static_boxed()`. This function is convenient to use when constructing hash tables from string to GValue, for example.

[skip]

#### Parameters

path | a valid D-Bus object path which must remain valid forever |

#### Returns

a GValue of type `DBUS_TYPE_G_OBJECT_PATH` whose value is `path` , to be freed with `tp_g_value_slice_free()` or `g_slice_free()`

Since: 0.7.27

### tp_g_value_slice_new_take_object_path ()

    GValue *
    tp_g_value_slice_new_take_object_path (gchar *path);

Slice-allocate a GValue containing an object path, using `tp_g_value_slice_new_take_boxed()`. This function is convenient to use when constructing hash tables from string to GValue, for example.

[skip]

#### Parameters

path | a valid D-Bus object path which will be freed with `g_free()` by the returned GValue (the caller must own it before calling this function, but no longer owns it after this function returns) |

#### Returns

a GValue of type `DBUS_TYPE_G_OBJECT_PATH` whose value is `path` , to be freed with `tp_g_value_slice_free()` or `g_slice_free()`

Since: 0.7.27

### tp_dbus_daemon_dup ()

    TpDBusDaemon *
    tp_dbus_daemon_dup (GError **error);

Returns a proxy for signals and method calls on the D-Bus daemon on which this process was activated (if it was launched by D-Bus service activation), or the session bus (otherwise).

If it is not possible to connect to the appropriate bus, raise an error and return `NULL`.

The returned TpDBusDaemon is cached; the same TpDBusDaemon object will be returned by this function repeatedly, as long as at least one reference exists.

#### Parameters

error | Used to indicate error if `NULL` is returned |

#### Returns

a reference to a proxy for signals and method calls on the bus daemon, or `NULL`.

[transfer full]

Since: 0.7.26

### tp_dbus_daemon_new ()

    TpDBusDaemon *
    tp_dbus_daemon_new (DBusGConnection *connection);

Returns a proxy for signals and method calls on a particular bus connection.

Use `tp_dbus_daemon_dup()` instead if you just want a connection to the starter or session bus (which is almost always the right thing for Telepathy).

[skip]

#### Parameters

connection | a connection to D-Bus |

#### Returns

a new proxy for signals and method calls on the bus daemon to which `connection` is connected

Since: 0.7.1

### tp_dbus_daemon_get_unique_name ()

    const gchar *
    tp_dbus_daemon_get_unique_name (TpDBusDaemon *self);

#### Parameters

self | object representing a connection to a bus |

#### Returns

the unique name of this connection to the bus, which is valid for as long as this TpDBusDaemon is

Since: 0.7.35

### TpDBusDaemonNameOwnerChangedCb ()

    void
    (*TpDBusDaemonNameOwnerChangedCb) (TpDBusDaemon *bus_daemon,
                                       const gchar *name,
                                       const gchar *new_owner,
                                       gpointer user_data);

The signature of the callback called by `tp_dbus_daemon_watch_name_owner()`.

#### Parameters

bus_daemon | The D-Bus daemon |
name | The name whose ownership has changed or been discovered |
new_owner | The unique name that now owns `name` |
user_data | Arbitrary user-supplied data as passed to `tp_dbus_daemon_watch_name_owner()` |

Since: 0.7.1

### tp_dbus_daemon_watch_name_owner ()

    void
    tp_dbus_daemon_watch_name_owner (TpDBusDaemon *self,
                                     const gchar *name,
                                     TpDBusDaemonNameOwnerChangedCb callback,
                                     gpointer user_data,
                                     GDestroyNotify destroy);

Arrange for `callback` to be called with the owner of `name` as soon as possible (which might even be before this function returns!), then again every time the ownership of `name` changes.

If multiple watches are registered for the same `name` , they will be called in the order they were registered.

#### Parameters

self | The D-Bus daemon |
name | The name whose ownership is to be watched |
callback | Callback to call when the ownership is discovered or changes |
user_data | Arbitrary data to pass to `callback` |
destroy | Called to destroy `user_data` when the name owner watch is cancelled due to `tp_dbus_daemon_cancel_name_owner_watch()` |

Since: 0.7.1

### tp_dbus_daemon_cancel_name_owner_watch ()

    gboolean
    tp_dbus_daemon_cancel_name_owner_watch
                                   (TpDBusDaemon *self,
                                    const gchar *name,
                                    TpDBusDaemonNameOwnerChangedCb callback,
                                    gconstpointer user_data);

If there was a previous call to `tp_dbus_daemon_watch_name_owner()` with exactly the given `name` , `callback` and `user_data` , remove it.

If more than one watch matching the details provided was active, remove only the most recently added one.

[skip]

#### Parameters

self | the D-Bus daemon |
name | the name that was being watched |
callback | the callback that was called |
user_data | the user data that was provided |

#### Returns

`TRUE` if there was such a watch, `FALSE` otherwise

Since: 0.7.1

### TpDBusDaemonListNamesCb ()

    void
    (*TpDBusDaemonListNamesCb) (TpDBusDaemon *bus_daemon,
                                const gchar * const *names,
                                const GError *error,
                                gpointer user_data,
                                GObject *weak_object);

Signature of a callback for functions that list bus names.

#### Parameters

bus_daemon | object representing a connection to a bus |
names | constant `NULL`-terminated array of constant strings representing bus names, or `NULL` on error |
error | the error that occurred, or `NULL` on success |
user_data | the same user data that was passed to tp_dbus_daemon_list_names or tp_dbus_daemon_list_activatable_names |
weak_object | the same object that was passed to tp_dbus_daemon_list_names or tp_dbus_daemon_list_activatable_names |

Since: 0.7.35

### tp_dbus_daemon_list_names ()

    void
    tp_dbus_daemon_list_names (TpDBusDaemon *self,
                               gint timeout_ms,
                               TpDBusDaemonListNamesCb callback,
                               gpointer user_data,
                               GDestroyNotify destroy,
                               GObject *weak_object);

Call the ListNames method on the bus daemon, asynchronously. The `callback` will be called from the main loop with a list of all the names (either unique or well-known) that exist on the bus.

In versions of telepathy-glib that have it, this should be preferred instead of calling `tp_cli_dbus_daemon_call_list_names()`, since that function will result in wakeups for every NameOwnerChanged signal.

#### Parameters

self | object representing a connection to a bus |
timeout_ms | timeout for the call |
callback | callback to be called on success or failure; must not be `NULL` |
user_data | opaque user-supplied data to pass to the callback |
destroy | if not `NULL`, called with `user_data` as argument after the call has succeeded or failed, or after `weak_object` has been destroyed |
weak_object | if not `NULL`, a GObject which will be weakly referenced; if it is destroyed, `callback` will not be called at all |

Since: 0.7.35

### tp_dbus_daemon_list_activatable_names ()

    void
    tp_dbus_daemon_list_activatable_names (TpDBusDaemon *self,
                                           gint timeout_ms,
                                           TpDBusDaemonListNamesCb callback,
                                           gpointer user_data,
                                           GDestroyNotify destroy,
                                           GObject *weak_object);

Call the ListActivatableNames method on the bus daemon, asynchronously. The `callback` will be called from the main loop with a list of all the well-known names that are available for service-activation on the bus.

In versions of telepathy-glib that have it, this should be preferred instead of calling `tp_cli_dbus_daemon_call_list_activatable_names()`, since that function will result in wakeups for every NameOwnerChanged signal.

#### Parameters

self | object representing a connection to a bus daemon |
timeout_ms | timeout for the call |
callback | callback to be called on success or failure; must not be `NULL` |
user_data | opaque user-supplied data to pass to the callback |
destroy | if not `NULL`, called with `user_data` as argument after the call has succeeded or failed, or after `weak_object` has been destroyed |
weak_object | if not `NULL`, a GObject which will be weakly referenced; if it is destroyed, `callback` will not be called at all |

Since: 0.7.35

### tp_dbus_daemon_release_name ()

    gboolean
    tp_dbus_daemon_release_name (TpDBusDaemon *self,
                                 const gchar *well_known_name,
                                 GError **error);

Release the given well-known name. This makes a synchronous call to the bus daemon.

#### Parameters

self | a TpDBusDaemon |
well_known_name | a well-known name owned by this process to release |
error | used to raise an error if `FALSE` is returned |

#### Returns

`TRUE` if `well_known_name` was released, or `FALSE` and sets `error` if an error occurred.

Since: 0.7.30

### tp_dbus_daemon_request_name ()

    gboolean
    tp_dbus_daemon_request_name (TpDBusDaemon *self,
                                 const gchar *well_known_name,
                                 gboolean idempotent,
                                 GError **error);

Claim the given well-known name without queueing, allowing replacement or replacing an existing name-owner. This makes a synchronous call to the bus daemon.

#### Parameters

self | a TpDBusDaemon |
well_known_name | a well-known name to acquire |
idempotent | whether to consider it to be a success if this process already owns the name |
error | used to raise an error if `FALSE` is returned |

#### Returns

`TRUE` if `well_known_name` was claimed, or `FALSE` and sets `error` if an error occurred.

Since: 0.7.30

### tp_dbus_daemon_register_object ()

    void
    tp_dbus_daemon_register_object (TpDBusDaemon *self,
                                    const gchar *object_path,
                                    gpointer object);

Export `object` at `object_path` . This is a convenience wrapper around `dbus_g_connection_register_g_object()`, and behaves similarly.

#### Parameters

self | object representing a connection to a bus |
object_path | an object path |
object | an object to export. | [type GObject.Object][transfer none]

Since: 0.11.3

### tp_dbus_daemon_unregister_object ()

    void
    tp_dbus_daemon_unregister_object (TpDBusDaemon *self,
                                      gpointer object);

Stop exporting `object` on D-Bus. This is a convenience wrapper around `dbus_g_connection_unregister_g_object()`, and behaves similarly.

#### Parameters

self | object representing a connection to a bus |
object | an object previously exported with `tp_dbus_daemon_register_object()`. | [type GObject.Object][transfer none]

Since: 0.11.3

### tp_dbus_daemon_init_known_interfaces ()

    void
    tp_dbus_daemon_init_known_interfaces (void);

Ensure that the known interfaces for TpDBusDaemon have been set up. This is done automatically when necessary, but for correct overriding of library interfaces by local extensions, you should call this function before calling `tp_proxy_or_subclass_hook_on_interface_add()` with first argument `TP_TYPE_DBUS_DAEMON`.

Since: 0.7.32

### tp_cli_dbus_daemon_call_add_match ()

    TpProxyPendingCall *
    tp_cli_dbus_daemon_call_add_match (TpDBusDaemon *proxy,
                                       gint timeout_ms,
                                       const gchar *in0,
                                       tp_cli_dbus_daemon_callback_for_add_match callback,
                                       gpointer user_data,
                                       GDestroyNotify destroy,
                                       GObject *weak_object);

Start a AddMatch method call.

(Undocumented)

#### Parameters

proxy | the TpProxy |
timeout_ms | the timeout in milliseconds, or -1 to use the default |
in0 | Used to pass an 'in' argument: (Undocumented) |
callback | called when the method call succeeds or fails; may be `NULL` to make a "fire and forget" call with no reply tracking |
user_data | user-supplied data passed to the callback; must be `NULL` if `callback` is `NULL` |
destroy | called with the user_data as argument, after the call has succeeded, failed or been cancelled; must be `NULL` if `callback` is `NULL` |
weak_object | If not `NULL`, a GObject which will be weakly referenced; if it is destroyed, this call will automatically be cancelled. Must be `NULL` if `callback` is `NULL` |

#### Returns

a TpProxyPendingCall representing the call in progress. It is borrowed from the object, and will become invalid when the callback is called, the call is cancelled or the TpProxy becomes invalid.

### tp_cli_dbus_daemon_call_get_connection_se_linux_security_context ()

    TpProxyPendingCall *
    tp_cli_dbus_daemon_call_get_connection_se_linux_security_context
                                   (TpDBusDaemon *proxy,
                                    gint timeout_ms,
                                    const gchar *in0,
                                    tp_cli_dbus_daemon_callback_for_get_connection_se_linux_security_context callback,
                                    gpointer user_data,
                                    GDestroyNotify destroy,
                                    GObject *weak_object);

Start a GetConnectionSELinuxSecurityContext method call.

(Undocumented)

#### Parameters

proxy | the TpProxy |
timeout_ms | the timeout in milliseconds, or -1 to use the default |
in0 | Used to pass an 'in' argument: (Undocumented) |
callback | called when the method call succeeds or fails; may be `NULL` to make a "fire and forget" call with no reply tracking |
user_data | user-supplied data passed to the callback; must be `NULL` if `callback` is `NULL` |
destroy | called with the user_data as argument, after the call has succeeded, failed or been cancelled; must be `NULL` if `callback` is `NULL` |
weak_object | If not `NULL`, a GObject which will be weakly referenced; if it is destroyed, this call will automatically be cancelled. Must be `NULL` if `callback` is `NULL` |

#### Returns

a TpProxyPendingCall representing the call in progress. It is borrowed from the object, and will become invalid when the callback is called, the call is cancelled or the TpProxy becomes invalid.

### tp_cli_dbus_daemon_call_get_connection_unix_process_id ()

    TpProxyPendingCall *
    tp_cli_dbus_daemon_call_get_connection_unix_process_id
                                   (TpDBusDaemon *proxy,
                                    gint timeout_ms,
                                    const gchar *in0,
                                    tp_cli_dbus_daemon_callback_for_get_connection_unix_process_id callback,
                                    gpointer user_data,
                                    GDestroyNotify destroy,
                                    GObject *weak_object);

Start a GetConnectionUnixProcessID method call.

(Undocumented)

#### Parameters

proxy | the TpProxy |
timeout_ms | the timeout in milliseconds, or -1 to use the default |
in0 | Used to pass an 'in' argument: (Undocumented) |
callback | called when the method call succeeds or fails; may be `NULL` to make a "fire and forget" call with no reply tracking |
user_data | user-supplied data passed to the callback; must be `NULL` if `callback` is `NULL` |
destroy | called with the user_data as argument, after the call has succeeded, failed or been cancelled; must be `NULL` if `callback` is `NULL` |
weak_object | If not `NULL`, a GObject which will be weakly referenced; if it is destroyed, this call will automatically be cancelled. Must be `NULL` if `callback` is `NULL` |

#### Returns

a TpProxyPendingCall representing the call in progress. It is borrowed from the object, and will become invalid when the callback is called, the call is cancelled or the TpProxy becomes invalid.

### tp_cli_dbus_daemon_call_get_connection_unix_user ()

    TpProxyPendingCall *
    tp_cli_dbus_daemon_call_get_connection_unix_user
                                   (TpDBusDaemon *proxy,
                                    gint timeout_ms,
                                    const gchar *in0,
                                    tp_cli_dbus_daemon_callback_for_get_connection_unix_user callback,
                                    gpointer user_data,
                                    GDestroyNotify destroy,
                                    GObject *weak_object);

Start a GetConnectionUnixUser method call.

(Undocumented)

#### Parameters

proxy | the TpProxy |
timeout_ms | the timeout in milliseconds, or -1 to use the default |
in0 | Used to pass an 'in' argument: (Undocumented) |
callback | called when the method call succeeds or fails; may be `NULL` to make a "fire and forget" call with no reply tracking |
user_data | user-supplied data passed to the callback; must be `NULL` if `callback` is `NULL` |
destroy | called with the user_data as argument, after the call has succeeded, failed or been cancelled; must be `NULL` if `callback` is `NULL` |
weak_object | If not `NULL`, a GObject which will be weakly referenced; if it is destroyed, this call will automatically be cancelled. Must be `NULL` if `callback` is `NULL` |

#### Returns

a TpProxyPendingCall representing the call in progress. It is borrowed from the object, and will become invalid when the callback is called, the call is cancelled or the TpProxy becomes invalid.

### tp_cli_dbus_daemon_call_get_id ()

    TpProxyPendingCall *
    tp_cli_dbus_daemon_call_get_id (TpDBusDaemon *proxy,
                                    gint timeout_ms,
                                    tp_cli_dbus_daemon_callback_for_get_id callback,
                                    gpointer user_data,
                                    GDestroyNotify destroy,
                                    GObject *weak_object);

Start a GetId method call.

(Undocumented)

#### Parameters

proxy | the TpProxy |
timeout_ms | the timeout in milliseconds, or -1 to use the default |
callback | called when the method call succeeds or fails; may be `NULL` to make a "fire and forget" call with no reply tracking |
user_data | user-supplied data passed to the callback; must be `NULL` if `callback` is `NULL` |
destroy | called with the user_data as argument, after the call has succeeded, failed or been cancelled; must be `NULL` if `callback` is `NULL` |
weak_object | If not `NULL`, a GObject which will be weakly referenced; if it is destroyed, this call will automatically be cancelled. Must be `NULL` if `callback` is `NULL` |

#### Returns

a TpProxyPendingCall representing the call in progress. It is borrowed from the object, and will become invalid when the callback is called, the call is cancelled or the TpProxy becomes invalid.

### tp_cli_dbus_daemon_call_get_name_owner ()

    TpProxyPendingCall *
    tp_cli_dbus_daemon_call_get_name_owner
                                   (TpDBusDaemon *proxy,
                                    gint timeout_ms,
                                    const gchar *in0,
                                    tp_cli_dbus_daemon_callback_for_get_name_owner callback,
                                    gpointer user_data,
                                    GDestroyNotify destroy,
                                    GObject *weak_object);

Start a GetNameOwner method call.

(Undocumented)

#### Parameters

proxy | the TpProxy |
timeout_ms | the timeout in milliseconds, or -1 to use the default |
in0 | Used to pass an 'in' argument: (Undocumented) |
callback | called when the method call succeeds or fails; may be `NULL` to make a "fire and forget" call with no reply tracking |
user_data | user-supplied data passed to the callback; must be `NULL` if `callback` is `NULL` |
destroy | called with the user_data as argument, after the call has succeeded, failed or been cancelled; must be `NULL` if `callback` is `NULL` |
weak_object | If not `NULL`, a GObject which will be weakly referenced; if it is destroyed, this call will automatically be cancelled. Must be `NULL` if `callback` is `NULL` |

#### Returns

a TpProxyPendingCall representing the call in progress. It is borrowed from the object, and will become invalid when the callback is called, the call is cancelled or the TpProxy becomes invalid.

### tp_cli_dbus_daemon_call_hello ()

    TpProxyPendingCall *
    tp_cli_dbus_daemon_call_hello (TpDBusDaemon *proxy,
                                   gint timeout_ms,
                                   tp_cli_dbus_daemon_callback_for_hello callback,
                                   gpointer user_data,
                                   GDestroyNotify destroy,
                                   GObject *weak_object);

Start a Hello method call.

(Undocumented)

#### Parameters

proxy | the TpProxy |
timeout_ms | the timeout in milliseconds, or -1 to use the default |
callback | called when the method call succeeds or fails; may be `NULL` to make a "fire and forget" call with no reply tracking |
user_data | user-supplied data passed to the callback; must be `NULL` if `callback` is `NULL` |
destroy | called with the user_data as argument, after the call has succeeded, failed or been cancelled; must be `NULL` if `callback` is `NULL` |
weak_object | If not `NULL`, a GObject which will be weakly referenced; if it is destroyed, this call will automatically be cancelled. Must be `NULL` if `callback` is `NULL` |

#### Returns

a TpProxyPendingCall representing the call in progress. It is borrowed from the object, and will become invalid when the callback is called, the call is cancelled or the TpProxy becomes invalid.

### tp_cli_dbus_daemon_call_list_activatable_names ()

    TpProxyPendingCall *
    tp_cli_dbus_daemon_call_list_activatable_names
                                   (TpDBusDaemon *proxy,
                                    gint timeout_ms,
                                    tp_cli_dbus_daemon_callback_for_list_activatable_names callback,
                                    gpointer user_data,
                                    GDestroyNotify destroy,
                                    GObject *weak_object);

Start a ListActivatableNames method call.

(Undocumented)

#### Parameters

proxy | the TpProxy |
timeout_ms | the timeout in milliseconds, or -1 to use the default |
callback | called when the method call succeeds or fails; may be `NULL` to make a "fire and forget" call with no reply tracking |
user_data | user-supplied data passed to the callback; must be `NULL` if `callback` is `NULL` |
destroy | called with the user_data as argument, after the call has succeeded, failed or been cancelled; must be `NULL` if `callback` is `NULL` |
weak_object | If not `NULL`, a GObject which will be weakly referenced; if it is destroyed, this call will automatically be cancelled. Must be `NULL` if `callback` is `NULL` |

#### Returns

a TpProxyPendingCall representing the call in progress. It is borrowed from the object, and will become invalid when the callback is called, the call is cancelled or the TpProxy becomes invalid.

### tp_cli_dbus_daemon_call_list_names ()

    TpProxyPendingCall *
    tp_cli_dbus_daemon_call_list_names (TpDBusDaemon *proxy,
                                        gint timeout_ms,
                                        tp_cli_dbus_daemon_callback_for_list_names callback,
                                        gpointer user_data,
                                        GDestroyNotify destroy,
                                        GObject *weak_object);

Start a ListNames method call.

(Undocumented)

#### Parameters

proxy | the TpProxy |
timeout_ms | the timeout in milliseconds, or -1 to use the default |
callback | called when the method call succeeds or fails; may be `NULL` to make a "fire and forget" call with no reply tracking |
user_data | user-supplied data passed to the callback; must be `NULL` if `callback` is `NULL` |
destroy | called with the user_data as argument, after the call has succeeded, failed or been cancelled; must be `NULL` if `callback` is `NULL` |
weak_object | If not `NULL`, a GObject which will be weakly referenced; if it is destroyed, this call will automatically be cancelled. Must be `NULL` if `callback` is `NULL` |

#### Returns

a TpProxyPendingCall representing the call in progress. It is borrowed from the object, and will become invalid when the callback is called, the call is cancelled or the TpProxy becomes invalid.

### tp_cli_dbus_daemon_call_list_queued_owners ()

    TpProxyPendingCall *
    tp_cli_dbus_daemon_call_list_queued_owners
                                   (TpDBusDaemon *proxy,
                                    gint timeout_ms,
                                    const gchar *in0,
                                    tp_cli_dbus_daemon_callback_for_list_queued_owners callback,
                                    gpointer user_data,
                                    GDestroyNotify destroy,
                                    GObject *weak_object);

Start a ListQueuedOwners method call.

(Undocumented)

#### Parameters

proxy | the TpProxy |
timeout_ms | the timeout in milliseconds, or -1 to use the default |
in0 | Used to pass an 'in' argument: (Undocumented) |
callback | called when the method call succeeds or fails; may be `NULL` to make a "fire and forget" call with no reply tracking |
user_data | user-supplied data passed to the callback; must be `NULL` if `callback` is `NULL` |
destroy | called with the user_data as argument, after the call has succeeded, failed or been cancelled; must be `NULL` if `callback` is `NULL` |
weak_object | If not `NULL`, a GObject which will be weakly referenced; if it is destroyed, this call will automatically be cancelled. Must be `NULL` if `callback` is `NULL` |

#### Returns

a TpProxyPendingCall representing the call in progress. It is borrowed from the object, and will become invalid when the callback is called, the call is cancelled or the TpProxy becomes invalid.

### tp_cli_dbus_daemon_call_name_has_owner ()

    TpProxyPendingCall *
    tp_cli_dbus_daemon_call_name_has_owner
                                   (TpDBusDaemon *proxy,
                                    gint timeout_ms,
                                    const gchar *in0,
                                    tp_cli_dbus_daemon_callback_for_name_has_owner callback,
                                    gpointer user_data,
                                    GDestroyNotify destroy,
                                    GObject *weak_object);

Start a NameHasOwner method call.

(Undocumented)

#### Parameters

proxy | the TpProxy |
timeout_ms | the timeout in milliseconds, or -1 to use the default |
in0 | Used to pass an 'in' argument: (Undocumented) |
callback | called when the method call succeeds or fails; may be `NULL` to make a "fire and forget" call with no reply tracking |
user_data | user-supplied data passed to the callback; must be `NULL` if `callback` is `NULL` |
destroy | called with the user_data as argument, after the call has succeeded, failed or been cancelled; must be `NULL` if `callback` is `NULL` |
weak_object | If not `NULL`, a GObject which will be weakly referenced; if it is destroyed, this call will automatically be cancelled. Must be `NULL` if `callback` is `NULL` |

#### Returns

a TpProxyPendingCall representing the call in progress. It is borrowed from the object, and will become invalid when the callback is called, the call is cancelled or the TpProxy becomes invalid.

### tp_cli_dbus_daemon_call_release_name ()

    TpProxyPendingCall *
    tp_cli_dbus_daemon_call_release_name (TpDBusDaemon *proxy,
                                          gint timeout_ms,
                                          const gchar *in0,
                                          tp_cli_dbus_daemon_callback_for_release_name callback,
                                          gpointer user_data,
                                          GDestroyNotify destroy,
                                          GObject *weak_object);

Start a ReleaseName method call.

(Undocumented)

#### Parameters

proxy | the TpProxy |
timeout_ms | the timeout in milliseconds, or -1 to use the default |
in0 | Used to pass an 'in' argument: (Undocumented) |
callback | called when the method call succeeds or fails; may be `NULL` to make a "fire and forget" call with no reply tracking |
user_data | user-supplied data passed to the callback; must be `NULL` if `callback` is `NULL` |
destroy | called with the user_data as argument, after the call has succeeded, failed or been cancelled; must be `NULL` if `callback` is `NULL` |
weak_object | If not `NULL`, a GObject which will be weakly referenced; if it is destroyed, this call will automatically be cancelled. Must be `NULL` if `callback` is `NULL` |

#### Returns

a TpProxyPendingCall representing the call in progress. It is borrowed from the object, and will become invalid when the callback is called, the call is cancelled or the TpProxy becomes invalid.

### tp_cli_dbus_daemon_call_reload_config ()

    TpProxyPendingCall *
    tp_cli_dbus_daemon_call_reload_config (TpDBusDaemon *proxy,
                                           gint timeout_ms,
                                           tp_cli_dbus_daemon_callback_for_reload_config callback,
                                           gpointer user_data,
                                           GDestroyNotify destroy,
                                           GObject *weak_object);

Start a ReloadConfig method call.

(Undocumented)

#### Parameters

proxy | the TpProxy |
timeout_ms | the timeout in milliseconds, or -1 to use the default |
callback | called when the method call succeeds or fails; may be `NULL` to make a "fire and forget" call with no reply tracking |
user_data | user-supplied data passed to the callback; must be `NULL` if `callback` is `NULL` |
destroy | called with the user_data as argument, after the call has succeeded, failed or been cancelled; must be `NULL` if `callback` is `NULL` |
weak_object | If not `NULL`, a GObject which will be weakly referenced; if it is destroyed, this call will automatically be cancelled. Must be `NULL` if `callback` is `NULL` |

#### Returns

a TpProxyPendingCall representing the call in progress. It is borrowed from the object, and will become invalid when the callback is called, the call is cancelled or the TpProxy becomes invalid.

### tp_cli_dbus_daemon_call_remove_match ()

    TpProxyPendingCall *
    tp_cli_dbus_daemon_call_remove_match (TpDBusDaemon *proxy,
                                          gint timeout_ms,
                                          const gchar *in0,
                                          tp_cli_dbus_daemon_callback_for_remove_match callback,
                                          gpointer user_data,
                                          GDestroyNotify destroy,
                                          GObject *weak_object);

Start a RemoveMatch method call.

(Undocumented)

#### Parameters

proxy | the TpProxy |
timeout_ms | the timeout in milliseconds, or -1 to use the default |
in0 | Used to pass an 'in' argument: (Undocumented) |
callback | called when the method call succeeds or fails; may be `NULL` to make a "fire and forget" call with no reply tracking |
user_data | user-supplied data passed to the callback; must be `NULL` if `callback` is `NULL` |
destroy | called with the user_data as argument, after the call has succeeded, failed or been cancelled; must be `NULL` if `callback` is `NULL` |
weak_object | If not `NULL`, a GObject which will be weakly referenced; if it is destroyed, this call will automatically be cancelled. Must be `NULL` if `callback` is `NULL` |

#### Returns

a TpProxyPendingCall representing the call in progress. It is borrowed from the object, and will become invalid when the callback is called, the call is cancelled or the TpProxy becomes invalid.

### tp_cli_dbus_daemon_call_request_name ()

    TpProxyPendingCall *
    tp_cli_dbus_daemon_call_request_name (TpDBusDaemon *proxy,
                                          gint timeout_ms,
                                          const gchar *in0,
                                          guint in1,
                                          tp_cli_dbus_daemon_callback_for_request_name callback,
                                          gpointer user_data,
                                          GDestroyNotify destroy,
                                          GObject *weak_object);

Start a RequestName method call.

(Undocumented)

#### Parameters

proxy | the TpProxy |
timeout_ms | the timeout in milliseconds, or -1 to use the default |
in0 | Used to pass an 'in' argument: (Undocumented) |
in1 | Used to pass an 'in' argument: (Undocumented) |
callback | called when the method call succeeds or fails; may be `NULL` to make a "fire and forget" call with no reply tracking |
user_data | user-supplied data passed to the callback; must be `NULL` if `callback` is `NULL` |
destroy | called with the user_data as argument, after the call has succeeded, failed or been cancelled; must be `NULL` if `callback` is `NULL` |
weak_object | If not `NULL`, a GObject which will be weakly referenced; if it is destroyed, this call will automatically be cancelled. Must be `NULL` if `callback` is `NULL` |

#### Returns

a TpProxyPendingCall representing the call in progress. It is borrowed from the object, and will become invalid when the callback is called, the call is cancelled or the TpProxy becomes invalid.

### tp_cli_dbus_daemon_call_start_service_by_name ()

    TpProxyPendingCall *
    tp_cli_dbus_daemon_call_start_service_by_name
                                   (TpDBusDaemon *proxy,
                                    gint timeout_ms,
                                    const gchar *in0,
                                    guint in1,
                                    tp_cli_dbus_daemon_callback_for_start_service_by_name callback,
                                    gpointer user_data,
                                    GDestroyNotify destroy,
                                    GObject *weak_object);

Start a StartServiceByName method call.

(Undocumented)

#### Parameters

proxy | the TpProxy |
timeout_ms | the timeout in milliseconds, or -1 to use the default |
in0 | Used to pass an 'in' argument: (Undocumented) |
in1 | Used to pass an 'in' argument: (Undocumented) |
callback | called when the method call succeeds or fails; may be `NULL` to make a "fire and forget" call with no reply tracking |
user_data | user-supplied data passed to the callback; must be `NULL` if `callback` is `NULL` |
destroy | called with the user_data as argument, after the call has succeeded, failed or been cancelled; must be `NULL` if `callback` is `NULL` |
weak_object | If not `NULL`, a GObject which will be weakly referenced; if it is destroyed, this call will automatically be cancelled. Must be `NULL` if `callback` is `NULL` |

#### Returns

a TpProxyPendingCall representing the call in progress. It is borrowed from the object, and will become invalid when the callback is called, the call is cancelled or the TpProxy becomes invalid.

### tp_cli_dbus_daemon_run_add_match ()

    gboolean
    tp_cli_dbus_daemon_run_add_match (TpDBusDaemon *proxy,
                                      gint timeout_ms,
                                      const gchar *in0,
                                      GError **error,
                                      GMainLoop **loop);

`tp_cli_dbus_daemon_run_add_match` is deprecated and should not be used in newly-written code.

Call the method AddMatch and run the main loop until it returns. Before calling this method, you must add a reference to any borrowed objects you need to keep, and generally ensure that everything is in a consistent state.

(Undocumented)

#### Parameters

proxy | A TpDBusDaemon or subclass |
timeout_ms | Timeout in milliseconds, or -1 for default |
in0 | Used to pass an 'in' argument: (Undocumented) |
error | If not `NULL`, used to return errors if `FALSE` is returned |
loop | If not `NULL`, set before re-entering the main loop, to point to a GMainLoop which can be used to cancel this call with `g_main_loop_quit()`, causing a return of `FALSE` with `error` set to `TP_DBUS_ERROR_CANCELLED` |

#### Returns

TRUE on success, FALSE and sets `error` on error

### tp_cli_dbus_daemon_run_get_connection_se_linux_security_context ()

    gboolean
    tp_cli_dbus_daemon_run_get_connection_se_linux_security_context
                                   (TpDBusDaemon *proxy,
                                    gint timeout_ms,
                                    const gchar *in0,
                                    GArray **out0,
                                    GError **error,
                                    GMainLoop **loop);

`tp_cli_dbus_daemon_run_get_connection_se_linux_security_context` is deprecated and should not be used in newly-written code.

Call the method GetConnectionSELinuxSecurityContext and run the main loop until it returns. Before calling this method, you must add a reference to any borrowed objects you need to keep, and generally ensure that everything is in a consistent state.

(Undocumented)

#### Parameters

proxy | A TpDBusDaemon or subclass |
timeout_ms | Timeout in milliseconds, or -1 for default |
in0 | Used to pass an 'in' argument: (Undocumented) |
out0 | Used to return an 'out' argument if `TRUE` is returned: (Undocumented) |
error | If not `NULL`, used to return errors if `FALSE` is returned |
loop | If not `NULL`, set before re-entering the main loop, to point to a GMainLoop which can be used to cancel this call with `g_main_loop_quit()`, causing a return of `FALSE` with `error` set to `TP_DBUS_ERROR_CANCELLED` |

#### Returns

TRUE on success, FALSE and sets `error` on error

### tp_cli_dbus_daemon_run_get_connection_unix_process_id ()

    gboolean
    tp_cli_dbus_daemon_run_get_connection_unix_process_id
                                   (TpDBusDaemon *proxy,
                                    gint timeout_ms,
                                    const gchar *in0,
                                    guint *out0,
                                    GError **error,
                                    GMainLoop **loop);

`tp_cli_dbus_daemon_run_get_connection_unix_process_id` is deprecated and should not be used in newly-written code.

Call the method GetConnectionUnixProcessID and run the main loop until it returns. Before calling this method, you must add a reference to any borrowed objects you need to keep, and generally ensure that everything is in a consistent state.

(Undocumented)

#### Parameters

proxy | A TpDBusDaemon or subclass |
timeout_ms | Timeout in milliseconds, or -1 for default |
in0 | Used to pass an 'in' argument: (Undocumented) |
out0 | Used to return an 'out' argument if `TRUE` is returned: (Undocumented) |
error | If not `NULL`, used to return errors if `FALSE` is returned |
loop | If not `NULL`, set before re-entering the main loop, to point to a GMainLoop which can be used to cancel this call with `g_main_loop_quit()`, causing a return of `FALSE` with `error` set to `TP_DBUS_ERROR_CANCELLED` |

#### Returns

TRUE on success, FALSE and sets `error` on error

### tp_cli_dbus_daemon_run_get_connection_unix_user ()

    gboolean
    tp_cli_dbus_daemon_run_get_connection_unix_user
                                   (TpDBusDaemon *proxy,
                                    gint timeout_ms,
                                    const gchar *in0,
                                    guint *out0,
                                    GError **error,
                                    GMainLoop **loop);

`tp_cli_dbus_daemon_run_get_connection_unix_user` is deprecated and should not be used in newly-written code.

Call the method GetConnectionUnixUser and run the main loop until it returns. Before calling this method, you must add a reference to any borrowed objects you need to keep, and generally ensure that everything is in a consistent state.

(Undocumented)

#### Parameters

proxy | A TpDBusDaemon or subclass |
timeout_ms | Timeout in milliseconds, or -1 for default |
in0 | Used to pass an 'in' argument: (Undocumented) |
out0 | Used to return an 'out' argument if `TRUE` is returned: (Undocumented) |
error | If not `NULL`, used to return errors if `FALSE` is returned |
loop | If not `NULL`, set before re-entering the main loop, to point to a GMainLoop which can be used to cancel this call with `g_main_loop_quit()`, causing a return of `FALSE` with `error` set to `TP_DBUS_ERROR_CANCELLED` |

#### Returns

TRUE on success, FALSE and sets `error` on error

### tp_cli_dbus_daemon_run_get_id ()

    gboolean
    tp_cli_dbus_daemon_run_get_id (TpDBusDaemon *proxy,
                                   gint timeout_ms,
                                   gchar **out0,
                                   GError **error,
                                   GMainLoop **loop);

`tp_cli_dbus_daemon_run_get_id` is deprecated and should not be used in newly-written code.

Call the method GetId and run the main loop until it returns. Before calling this method, you must add a reference to any borrowed objects you need to keep, and generally ensure that everything is in a consistent state.

(Undocumented)

#### Parameters

proxy | A TpDBusDaemon or subclass |
timeout_ms | Timeout in milliseconds, or -1 for default |
out0 | Used to return an 'out' argument if `TRUE` is returned: (Undocumented) |
error | If not `NULL`, used to return errors if `FALSE` is returned |
loop | If not `NULL`, set before re-entering the main loop, to point to a GMainLoop which can be used to cancel this call with `g_main_loop_quit()`, causing a return of `FALSE` with `error` set to `TP_DBUS_ERROR_CANCELLED` |

#### Returns

TRUE on success, FALSE and sets `error` on error

### tp_cli_dbus_daemon_run_get_name_owner ()

    gboolean
    tp_cli_dbus_daemon_run_get_name_owner (TpDBusDaemon *proxy,
                                           gint timeout_ms,
                                           const gchar *in0,
                                           gchar **out0,
                                           GError **error,
                                           GMainLoop **loop);

`tp_cli_dbus_daemon_run_get_name_owner` is deprecated and should not be used in newly-written code.

Call the method GetNameOwner and run the main loop until it returns. Before calling this method, you must add a reference to any borrowed objects you need to keep, and generally ensure that everything is in a consistent state.

(Undocumented)

#### Parameters

proxy | A TpDBusDaemon or subclass |
timeout_ms | Timeout in milliseconds, or -1 for default |
in0 | Used to pass an 'in' argument: (Undocumented) |
out0 | Used to return an 'out' argument if `TRUE` is returned: (Undocumented) |
error | If not `NULL`, used to return errors if `FALSE` is returned |
loop | If not `NULL`, set before re-entering the main loop, to point to a GMainLoop which can be used to cancel this call with `g_main_loop_quit()`, causing a return of `FALSE` with `error` set to `TP_DBUS_ERROR_CANCELLED` |

#### Returns

TRUE on success, FALSE and sets `error` on error

### tp_cli_dbus_daemon_run_hello ()

    gboolean
    tp_cli_dbus_daemon_run_hello (TpDBusDaemon *proxy,
                                  gint timeout_ms,
                                  gchar **out0,
                                  GError **error,
                                  GMainLoop **loop);

`tp_cli_dbus_daemon_run_hello` is deprecated and should not be used in newly-written code.

Call the method Hello and run the main loop until it returns. Before calling this method, you must add a reference to any borrowed objects you need to keep, and generally ensure that everything is in a consistent state.

(Undocumented)

#### Parameters

proxy | A TpDBusDaemon or subclass |
timeout_ms | Timeout in milliseconds, or -1 for default |
out0 | Used to return an 'out' argument if `TRUE` is returned: (Undocumented) |
error | If not `NULL`, used to return errors if `FALSE` is returned |
loop | If not `NULL`, set before re-entering the main loop, to point to a GMainLoop which can be used to cancel this call with `g_main_loop_quit()`, causing a return of `FALSE` with `error` set to `TP_DBUS_ERROR_CANCELLED` |

#### Returns

TRUE on success, FALSE and sets `error` on error

### tp_cli_dbus_daemon_run_list_activatable_names ()

    gboolean
    tp_cli_dbus_daemon_run_list_activatable_names
                                   (TpDBusDaemon *proxy,
                                    gint timeout_ms,
                                    gchar ***out0,
                                    GError **error,
                                    GMainLoop **loop);

`tp_cli_dbus_daemon_run_list_activatable_names` is deprecated and should not be used in newly-written code.

Call the method ListActivatableNames and run the main loop until it returns. Before calling this method, you must add a reference to any borrowed objects you need to keep, and generally ensure that everything is in a consistent state.

(Undocumented)

#### Parameters

proxy | A TpDBusDaemon or subclass |
timeout_ms | Timeout in milliseconds, or -1 for default |
out0 | Used to return an 'out' argument if `TRUE` is returned: (Undocumented) |
error | If not `NULL`, used to return errors if `FALSE` is returned |
loop | If not `NULL`, set before re-entering the main loop, to point to a GMainLoop which can be used to cancel this call with `g_main_loop_quit()`, causing a return of `FALSE` with `error` set to `TP_DBUS_ERROR_CANCELLED` |

#### Returns

TRUE on success, FALSE and sets `error` on error

### tp_cli_dbus_daemon_run_list_names ()

    gboolean
    tp_cli_dbus_daemon_run_list_names (TpDBusDaemon *proxy,
                                       gint timeout_ms,
                                       gchar ***out0,
                                       GError **error,
                                       GMainLoop **loop);

`tp_cli_dbus_daemon_run_list_names` is deprecated and should not be used in newly-written code.

Call the method ListNames and run the main loop until it returns. Before calling this method, you must add a reference to any borrowed objects you need to keep, and generally ensure that everything is in a consistent state.

(Undocumented)

#### Parameters

proxy | A TpDBusDaemon or subclass |
timeout_ms | Timeout in milliseconds, or -1 for default |
out0 | Used to return an 'out' argument if `TRUE` is returned: (Undocumented) |
error | If not `NULL`, used to return errors if `FALSE` is returned |
loop | If not `NULL`, set before re-entering the main loop, to point to a GMainLoop which can be used to cancel this call with `g_main_loop_quit()`, causing a return of `FALSE` with `error` set to `TP_DBUS_ERROR_CANCELLED` |

#### Returns

TRUE on success, FALSE and sets `error` on error

### tp_cli_dbus_daemon_run_list_queued_owners ()

    gboolean
    tp_cli_dbus_daemon_run_list_queued_owners
                                   (TpDBusDaemon *proxy,
                                    gint timeout_ms,
                                    const gchar *in0,
                                    gchar ***out0,
                                    GError **error,
                                    GMainLoop **loop);

`tp_cli_dbus_daemon_run_list_queued_owners` is deprecated and should not be used in newly-written code.

Call the method ListQueuedOwners and run the main loop until it returns. Before calling this method, you must add a reference to any borrowed objects you need to keep, and generally ensure that everything is in a consistent state.

(Undocumented)

#### Parameters

proxy | A TpDBusDaemon or subclass |
timeout_ms | Timeout in milliseconds, or -1 for default |
in0 | Used to pass an 'in' argument: (Undocumented) |
out0 | Used to return an 'out' argument if `TRUE` is returned: (Undocumented) |
error | If not `NULL`, used to return errors if `FALSE` is returned |
loop | If not `NULL`, set before re-entering the main loop, to point to a GMainLoop which can be used to cancel this call with `g_main_loop_quit()`, causing a return of `FALSE` with `error` set to `TP_DBUS_ERROR_CANCELLED` |

#### Returns

TRUE on success, FALSE and sets `error` on error

### tp_cli_dbus_daemon_run_name_has_owner ()

    gboolean
    tp_cli_dbus_daemon_run_name_has_owner (TpDBusDaemon *proxy,
                                           gint timeout_ms,
                                           const gchar *in0,
                                           gboolean *out0,
                                           GError **error,
                                           GMainLoop **loop);

`tp_cli_dbus_daemon_run_name_has_owner` is deprecated and should not be used in newly-written code.

Call the method NameHasOwner and run the main loop until it returns. Before calling this method, you must add a reference to any borrowed objects you need to keep, and generally ensure that everything is in a consistent state.

(Undocumented)

#### Parameters

proxy | A TpDBusDaemon or subclass |
timeout_ms | Timeout in milliseconds, or -1 for default |
in0 | Used to pass an 'in' argument: (Undocumented) |
out0 | Used to return an 'out' argument if `TRUE` is returned: (Undocumented) |
error | If not `NULL`, used to return errors if `FALSE` is returned |
loop | If not `NULL`, set before re-entering the main loop, to point to a GMainLoop which can be used to cancel this call with `g_main_loop_quit()`, causing a return of `FALSE` with `error` set to `TP_DBUS_ERROR_CANCELLED` |

#### Returns

TRUE on success, FALSE and sets `error` on error

### tp_cli_dbus_daemon_run_release_name ()

    gboolean
    tp_cli_dbus_daemon_run_release_name (TpDBusDaemon *proxy,
                                         gint timeout_ms,
                                         const gchar *in0,
                                         guint *out0,
                                         GError **error,
                                         GMainLoop **loop);

`tp_cli_dbus_daemon_run_release_name` is deprecated and should not be used in newly-written code.

Call the method ReleaseName and run the main loop until it returns. Before calling this method, you must add a reference to any borrowed objects you need to keep, and generally ensure that everything is in a consistent state.

(Undocumented)

#### Parameters

proxy | A TpDBusDaemon or subclass |
timeout_ms | Timeout in milliseconds, or -1 for default |
in0 | Used to pass an 'in' argument: (Undocumented) |
out0 | Used to return an 'out' argument if `TRUE` is returned: (Undocumented) |
error | If not `NULL`, used to return errors if `FALSE` is returned |
loop | If not `NULL`, set before re-entering the main loop, to point to a GMainLoop which can be used to cancel this call with `g_main_loop_quit()`, causing a return of `FALSE` with `error` set to `TP_DBUS_ERROR_CANCELLED` |

#### Returns

TRUE on success, FALSE and sets `error` on error

### tp_cli_dbus_daemon_run_reload_config ()

    gboolean
    tp_cli_dbus_daemon_run_reload_config (TpDBusDaemon *proxy,
                                          gint timeout_ms,
                                          GError **error,
                                          GMainLoop **loop);

`tp_cli_dbus_daemon_run_reload_config` is deprecated and should not be used in newly-written code.

Call the method ReloadConfig and run the main loop until it returns. Before calling this method, you must add a reference to any borrowed objects you need to keep, and generally ensure that everything is in a consistent state.

(Undocumented)

#### Parameters

proxy | A TpDBusDaemon or subclass |
timeout_ms | Timeout in milliseconds, or -1 for default |
error | If not `NULL`, used to return errors if `FALSE` is returned |
loop | If not `NULL`, set before re-entering the main loop, to point to a GMainLoop which can be used to cancel this call with `g_main_loop_quit()`, causing a return of `FALSE` with `error` set to `TP_DBUS_ERROR_CANCELLED` |

#### Returns

TRUE on success, FALSE and sets `error` on error

### tp_cli_dbus_daemon_run_remove_match ()

    gboolean
    tp_cli_dbus_daemon_run_remove_match (TpDBusDaemon *proxy,
                                         gint timeout_ms,
                                         const gchar *in0,
                                         GError **error,
                                         GMainLoop **loop);

`tp_cli_dbus_daemon_run_remove_match` is deprecated and should not be used in newly-written code.

Call the method RemoveMatch and run the main loop until it returns. Before calling this method, you must add a reference to any borrowed objects you need to keep, and generally ensure that everything is in a consistent state.

(Undocumented)

#### Parameters

proxy | A TpDBusDaemon or subclass |
timeout_ms | Timeout in milliseconds, or -1 for default |
in0 | Used to pass an 'in' argument: (Undocumented) |
error | If not `NULL`, used to return errors if `FALSE` is returned |
loop | If not `NULL`, set before re-entering the main loop, to point to a GMainLoop which can be used to cancel this call with `g_main_loop_quit()`, causing a return of `FALSE` with `error` set to `TP_DBUS_ERROR_CANCELLED` |

#### Returns

TRUE on success, FALSE and sets `error` on error

### tp_cli_dbus_daemon_run_request_name ()

    gboolean
    tp_cli_dbus_daemon_run_request_name (TpDBusDaemon *proxy,
                                         gint timeout_ms,
                                         const gchar *in0,
                                         guint in1,
                                         guint *out0,
                                         GError **error,
                                         GMainLoop **loop);

`tp_cli_dbus_daemon_run_request_name` is deprecated and should not be used in newly-written code.

Call the method RequestName and run the main loop until it returns. Before calling this method, you must add a reference to any borrowed objects you need to keep, and generally ensure that everything is in a consistent state.

(Undocumented)

#### Parameters

proxy | A TpDBusDaemon or subclass |
timeout_ms | Timeout in milliseconds, or -1 for default |
in0 | Used to pass an 'in' argument: (Undocumented) |
in1 | Used to pass an 'in' argument: (Undocumented) |
out0 | Used to return an 'out' argument if `TRUE` is returned: (Undocumented) |
error | If not `NULL`, used to return errors if `FALSE` is returned |
loop | If not `NULL`, set before re-entering the main loop, to point to a GMainLoop which can be used to cancel this call with `g_main_loop_quit()`, causing a return of `FALSE` with `error` set to `TP_DBUS_ERROR_CANCELLED` |

#### Returns

TRUE on success, FALSE and sets `error` on error

### tp_cli_dbus_daemon_run_start_service_by_name ()

    gboolean
    tp_cli_dbus_daemon_run_start_service_by_name
                                   (TpDBusDaemon *proxy,
                                    gint timeout_ms,
                                    const gchar *in0,
                                    guint in1,
                                    guint *out0,
                                    GError **error,
                                    GMainLoop **loop);

`tp_cli_dbus_daemon_run_start_service_by_name` is deprecated and should not be used in newly-written code.

Call the method StartServiceByName and run the main loop until it returns. Before calling this method, you must add a reference to any borrowed objects you need to keep, and generally ensure that everything is in a consistent state.

(Undocumented)

#### Parameters

proxy | A TpDBusDaemon or subclass |
timeout_ms | Timeout in milliseconds, or -1 for default |
in0 | Used to pass an 'in' argument: (Undocumented) |
in1 | Used to pass an 'in' argument: (Undocumented) |
out0 | Used to return an 'out' argument if `TRUE` is returned: (Undocumented) |
error | If not `NULL`, used to return errors if `FALSE` is returned |
loop | If not `NULL`, set before re-entering the main loop, to point to a GMainLoop which can be used to cancel this call with `g_main_loop_quit()`, causing a return of `FALSE` with `error` set to `TP_DBUS_ERROR_CANCELLED` |

#### Returns

TRUE on success, FALSE and sets `error` on error

### tp_cli_dbus_daemon_callback_for_add_match ()

    void
    (*tp_cli_dbus_daemon_callback_for_add_match)
                                   (TpDBusDaemon *proxy,
                                    const GError *error,
                                    gpointer user_data,
                                    GObject *weak_object);

Signature of the callback called when a AddMatch method call succeeds or fails.

#### Parameters

proxy | the proxy on which the call was made |
error | `NULL` on success, or an error on failure |
user_data | user-supplied data |
weak_object | user-supplied object |

### tp_cli_dbus_daemon_callback_for_get_connection_se_linux_security_context ()

    void
    (*tp_cli_dbus_daemon_callback_for_get_connection_se_linux_security_context)
                                   (TpDBusDaemon *proxy,
                                    const GArray *out0,
                                    const GError *error,
                                    gpointer user_data,
                                    GObject *weak_object);

Signature of the callback called when a GetConnectionSELinuxSecurityContext method call succeeds or fails.

#### Parameters

proxy | the proxy on which the call was made |
out0 | Used to return an 'out' argument if `error` is `NULL`: (Undocumented) |
error | `NULL` on success, or an error on failure |
user_data | user-supplied data |
weak_object | user-supplied object |

### tp_cli_dbus_daemon_callback_for_get_connection_unix_process_id ()

    void
    (*tp_cli_dbus_daemon_callback_for_get_connection_unix_process_id)
                                   (TpDBusDaemon *proxy,
                                    guint out0,
                                    const GError *error,
                                    gpointer user_data,
                                    GObject *weak_object);

Signature of the callback called when a GetConnectionUnixProcessID method call succeeds or fails.

#### Parameters

proxy | the proxy on which the call was made |
out0 | Used to return an 'out' argument if `error` is `NULL`: (Undocumented) |
error | `NULL` on success, or an error on failure |
user_data | user-supplied data |
weak_object | user-supplied object |

### tp_cli_dbus_daemon_callback_for_get_connection_unix_user ()

    void
    (*tp_cli_dbus_daemon_callback_for_get_connection_unix_user)
                                   (TpDBusDaemon *proxy,
                                    guint out0,
                                    const GError *error,
                                    gpointer user_data,
                                    GObject *weak_object);

Signature of the callback called when a GetConnectionUnixUser method call succeeds or fails.

#### Parameters

proxy | the proxy on which the call was made |
out0 | Used to return an 'out' argument if `error` is `NULL`: (Undocumented) |
error | `NULL` on success, or an error on failure |
user_data | user-supplied data |
weak_object | user-supplied object |

### tp_cli_dbus_daemon_callback_for_get_id ()

    void
    (*tp_cli_dbus_daemon_callback_for_get_id)
                                   (TpDBusDaemon *proxy,
                                    const gchar *out0,
                                    const GError *error,
                                    gpointer user_data,
                                    GObject *weak_object);

Signature of the callback called when a GetId method call succeeds or fails.

#### Parameters

proxy | the proxy on which the call was made |
out0 | Used to return an 'out' argument if `error` is `NULL`: (Undocumented) |
error | `NULL` on success, or an error on failure |
user_data | user-supplied data |
weak_object | user-supplied object |

### tp_cli_dbus_daemon_callback_for_get_name_owner ()

    void
    (*tp_cli_dbus_daemon_callback_for_get_name_owner)
                                   (TpDBusDaemon *proxy,
                                    const gchar *out0,
                                    const GError *error,
                                    gpointer user_data,
                                    GObject *weak_object);

Signature of the callback called when a GetNameOwner method call succeeds or fails.

#### Parameters

proxy | the proxy on which the call was made |
out0 | Used to return an 'out' argument if `error` is `NULL`: (Undocumented) |
error | `NULL` on success, or an error on failure |
user_data | user-supplied data |
weak_object | user-supplied object |

### tp_cli_dbus_daemon_callback_for_hello ()

    void
    (*tp_cli_dbus_daemon_callback_for_hello)
                                   (TpDBusDaemon *proxy,
                                    const gchar *out0,
                                    const GError *error,
                                    gpointer user_data,
                                    GObject *weak_object);

Signature of the callback called when a Hello method call succeeds or fails.

#### Parameters

proxy | the proxy on which the call was made |
out0 | Used to return an 'out' argument if `error` is `NULL`: (Undocumented) |
error | `NULL` on success, or an error on failure |
user_data | user-supplied data |
weak_object | user-supplied object |

### tp_cli_dbus_daemon_callback_for_list_activatable_names ()

    void
    (*tp_cli_dbus_daemon_callback_for_list_activatable_names)
                                   (TpDBusDaemon *proxy,
                                    const gchar **out0,
                                    const GError *error,
                                    gpointer user_data,
                                    GObject *weak_object);

Signature of the callback called when a ListActivatableNames method call succeeds or fails.

#### Parameters

proxy | the proxy on which the call was made |
out0 | Used to return an 'out' argument if `error` is `NULL`: (Undocumented) |
error | `NULL` on success, or an error on failure |
user_data | user-supplied data |
weak_object | user-supplied object |

### tp_cli_dbus_daemon_callback_for_list_names ()

    void
    (*tp_cli_dbus_daemon_callback_for_list_names)
                                   (TpDBusDaemon *proxy,
                                    const gchar **out0,
                                    const GError *error,
                                    gpointer user_data,
                                    GObject *weak_object);

Signature of the callback called when a ListNames method call succeeds or fails.

#### Parameters

proxy | the proxy on which the call was made |
out0 | Used to return an 'out' argument if `error` is `NULL`: (Undocumented) |
error | `NULL` on success, or an error on failure |
user_data | user-supplied data |
weak_object | user-supplied object |

### tp_cli_dbus_daemon_callback_for_list_queued_owners ()

    void
    (*tp_cli_dbus_daemon_callback_for_list_queued_owners)
                                   (TpDBusDaemon *proxy,
                                    const gchar **out0,
                                    const GError *error,
                                    gpointer user_data,
                                    GObject *weak_object);

Signature of the callback called when a ListQueuedOwners method call succeeds or fails.

#### Parameters

proxy | the proxy on which the call was made |
out0 | Used to return an 'out' argument if `error` is `NULL`: (Undocumented) |
error | `NULL` on success, or an error on failure |
user_data | user-supplied data |
weak_object | user-supplied object |

### tp_cli_dbus_daemon_callback_for_name_has_owner ()

    void
    (*tp_cli_dbus_daemon_callback_for_name_has_owner)
                                   (TpDBusDaemon *proxy,
                                    gboolean out0,
                                    const GError *error,
                                    gpointer user_data,
                                    GObject *weak_object);

Signature of the callback called when a NameHasOwner method call succeeds or fails.

#### Parameters

proxy | the proxy on which the call was made |
out0 | Used to return an 'out' argument if `error` is `NULL`: (Undocumented) |
error | `NULL` on success, or an error on failure |
user_data | user-supplied data |
weak_object | user-supplied object |

### tp_cli_dbus_daemon_callback_for_release_name ()

    void
    (*tp_cli_dbus_daemon_callback_for_release_name)
                                   (TpDBusDaemon *proxy,
                                    guint out0,
                                    const GError *error,
                                    gpointer user_data,
                                    GObject *weak_object);

Signature of the callback called when a ReleaseName method call succeeds or fails.

#### Parameters

proxy | the proxy on which the call was made |
out0 | Used to return an 'out' argument if `error` is `NULL`: (Undocumented) |
error | `NULL` on success, or an error on failure |
user_data | user-supplied data |
weak_object | user-supplied object |

### tp_cli_dbus_daemon_callback_for_reload_config ()

    void
    (*tp_cli_dbus_daemon_callback_for_reload_config)
                                   (TpDBusDaemon *proxy,
                                    const GError *error,
                                    gpointer user_data,
                                    GObject *weak_object);

Signature of the callback called when a ReloadConfig method call succeeds or fails.

#### Parameters

proxy | the proxy on which the call was made |
error | `NULL` on success, or an error on failure |
user_data | user-supplied data |
weak_object | user-supplied object |

### tp_cli_dbus_daemon_callback_for_remove_match ()

    void
    (*tp_cli_dbus_daemon_callback_for_remove_match)
                                   (TpDBusDaemon *proxy,
                                    const GError *error,
                                    gpointer user_data,
                                    GObject *weak_object);

Signature of the callback called when a RemoveMatch method call succeeds or fails.

#### Parameters

proxy | the proxy on which the call was made |
error | `NULL` on success, or an error on failure |
user_data | user-supplied data |
weak_object | user-supplied object |

### tp_cli_dbus_daemon_callback_for_request_name ()

    void
    (*tp_cli_dbus_daemon_callback_for_request_name)
                                   (TpDBusDaemon *proxy,
                                    guint out0,
                                    const GError *error,
                                    gpointer user_data,
                                    GObject *weak_object);

Signature of the callback called when a RequestName method call succeeds or fails.

#### Parameters

proxy | the proxy on which the call was made |
out0 | Used to return an 'out' argument if `error` is `NULL`: (Undocumented) |
error | `NULL` on success, or an error on failure |
user_data | user-supplied data |
weak_object | user-supplied object |

### tp_cli_dbus_daemon_callback_for_start_service_by_name ()

    void
    (*tp_cli_dbus_daemon_callback_for_start_service_by_name)
                                   (TpDBusDaemon *proxy,
                                    guint out0,
                                    const GError *error,
                                    gpointer user_data,
                                    GObject *weak_object);

Signature of the callback called when a StartServiceByName method call succeeds or fails.

#### Parameters

proxy | the proxy on which the call was made |
out0 | Used to return an 'out' argument if `error` is `NULL`: (Undocumented) |
error | `NULL` on success, or an error on failure |
user_data | user-supplied data |
weak_object | user-supplied object |

### tp_cli_dbus_daemon_connect_to_name_acquired ()

    TpProxySignalConnection *
    tp_cli_dbus_daemon_connect_to_name_acquired
                                   (TpDBusDaemon *proxy,
                                    tp_cli_dbus_daemon_signal_callback_name_acquired callback,
                                    gpointer user_data,
                                    GDestroyNotify destroy,
                                    GObject *weak_object,
                                    GError **error);

Connect a handler to the signal NameAcquired.

(Undocumented)

#### Parameters

proxy | A TpDBusDaemon or subclass |
callback | Callback to be called when the signal is received |
user_data | User-supplied data for the callback |
destroy | Destructor for the user-supplied data, which will be called when this signal is disconnected, or before this function returns `NULL` |
weak_object | A GObject which will be weakly referenced; if it is destroyed, this callback will automatically be disconnected |
error | If not `NULL`, used to raise an error if `NULL` is returned |

#### Returns

a TpProxySignalConnection containing all of the above, which can be used to disconnect the signal; or `NULL` if the proxy does not have the desired interface or has become invalid.

### tp_cli_dbus_daemon_connect_to_name_lost ()

    TpProxySignalConnection *
    tp_cli_dbus_daemon_connect_to_name_lost
                                   (TpDBusDaemon *proxy,
                                    tp_cli_dbus_daemon_signal_callback_name_lost callback,
                                    gpointer user_data,
                                    GDestroyNotify destroy,
                                    GObject *weak_object,
                                    GError **error);

Connect a handler to the signal NameLost.

(Undocumented)

#### Parameters

proxy | A TpDBusDaemon or subclass |
callback | Callback to be called when the signal is received |
user_data | User-supplied data for the callback |
destroy | Destructor for the user-supplied data, which will be called when this signal is disconnected, or before this function returns `NULL` |
weak_object | A GObject which will be weakly referenced; if it is destroyed, this callback will automatically be disconnected |
error | If not `NULL`, used to raise an error if `NULL` is returned |

#### Returns

a TpProxySignalConnection containing all of the above, which can be used to disconnect the signal; or `NULL` if the proxy does not have the desired interface or has become invalid.

### tp_cli_dbus_daemon_connect_to_name_owner_changed ()

    TpProxySignalConnection *
    tp_cli_dbus_daemon_connect_to_name_owner_changed
                                   (TpDBusDaemon *proxy,
                                    tp_cli_dbus_daemon_signal_callback_name_owner_changed callback,
                                    gpointer user_data,
                                    GDestroyNotify destroy,
                                    GObject *weak_object,
                                    GError **error);

Connect a handler to the signal NameOwnerChanged.

(Undocumented)

#### Parameters

proxy | A TpDBusDaemon or subclass |
callback | Callback to be called when the signal is received |
user_data | User-supplied data for the callback |
destroy | Destructor for the user-supplied data, which will be called when this signal is disconnected, or before this function returns `NULL` |
weak_object | A GObject which will be weakly referenced; if it is destroyed, this callback will automatically be disconnected |
error | If not `NULL`, used to raise an error if `NULL` is returned |

#### Returns

a TpProxySignalConnection containing all of the above, which can be used to disconnect the signal; or `NULL` if the proxy does not have the desired interface or has become invalid.

### tp_cli_dbus_daemon_signal_callback_name_acquired ()

    void
    (*tp_cli_dbus_daemon_signal_callback_name_acquired)
                                   (TpDBusDaemon *proxy,
                                    const gchar *arg0,
                                    gpointer user_data,
                                    GObject *weak_object);

Represents the signature of a callback for the signal NameAcquired.

#### Parameters

proxy | The proxy on which `tp_cli_dbus_daemon_connect_to_name_acquired()` was called |
arg0 | . | [Undocumented]
user_data | User-supplied data |
weak_object | User-supplied weakly referenced object |

### tp_cli_dbus_daemon_signal_callback_name_lost ()

    void
    (*tp_cli_dbus_daemon_signal_callback_name_lost)
                                   (TpDBusDaemon *proxy,
                                    const gchar *arg0,
                                    gpointer user_data,
                                    GObject *weak_object);

Represents the signature of a callback for the signal NameLost.

#### Parameters

proxy | The proxy on which `tp_cli_dbus_daemon_connect_to_name_lost()` was called |
arg0 | . | [Undocumented]
user_data | User-supplied data |
weak_object | User-supplied weakly referenced object |

### tp_cli_dbus_daemon_signal_callback_name_owner_changed ()

    void
    (*tp_cli_dbus_daemon_signal_callback_name_owner_changed)
                                   (TpDBusDaemon *proxy,
                                    const gchar *arg0,
                                    const gchar *arg1,
                                    const gchar *arg2,
                                    gpointer user_data,
                                    GObject *weak_object);

Represents the signature of a callback for the signal NameOwnerChanged.

#### Parameters

proxy | The proxy on which `tp_cli_dbus_daemon_connect_to_name_owner_changed()` was called |
arg0 | . | [Undocumented]
arg1 | . | [Undocumented]
arg2 | . | [Undocumented]
user_data | User-supplied data |
weak_object | User-supplied weakly referenced object |

## Types and Values

### enum TpDBusNameType

A set of flags indicating which D-Bus bus names are acceptable. They can be combined with the bitwise-or operator to accept multiple types. `TP_DBUS_NAME_TYPE_NOT_BUS_DAEMON` and `TP_DBUS_NAME_TYPE_ANY` are the bitwise-or of other appropriate types, for convenience.

Since 0.11.5, there is a corresponding GFlagsClass type, `TP_TYPE_DBUS_NAME_TYPE`.

#### Members

TP_DBUS_NAME_TYPE_UNIQUE | accept unique names like :1.123 (not including the name of the bus daemon itself) |
TP_DBUS_NAME_TYPE_WELL_KNOWN | accept well-known names like com.example.Service (not including the name of the bus daemon itself) |
TP_DBUS_NAME_TYPE_BUS_DAEMON | accept the name of the bus daemon itself, which has the syntax of a well-known name, but behaves like a unique name |
TP_DBUS_NAME_TYPE_NOT_BUS_DAEMON | accept either unique or well-known names, but not the bus daemon |
TP_DBUS_NAME_TYPE_ANY | accept any of the above |

Since: 0.7.1

### TP_TYPE_DBUS_NAME_TYPE

    #define TP_TYPE_DBUS_NAME_TYPE (tp_dbus_name_type_get_type ())

The GFlagsClass type of a TpDBusNameType or a set of name types.

Since: 0.11.5

### TpDBusDaemon

    typedef struct _TpDBusDaemon TpDBusDaemon;

A subclass of TpProxy that represents the D-Bus daemon. It mainly provides functionality to manage well-known names on the bus.

Since: 0.7.1

### TpDBusDaemonClass

    typedef struct _TpDBusDaemonClass TpDBusDaemonClass;

The class of TpDBusDaemon.

Since: 0.7.1